RubyGems Navigation menu

ruby-processing 2.6.15

Ruby-Processing is a ruby wrapper for the processing-2.0 art framework. This version supports processing-2.2.1, and uses jruby-complete-1.7.22 or an installed jruby as the glue between ruby and java. Use both processing libraries and ruby gems in your sketches. The "watch" mode, provides a nice REPL-ish way to work on your processing sketches.

Versions:

  1. 2.7.1 - August 30, 2016 (152 KB)
  2. 2.7.0 - June 27, 2016 (152 KB)
  3. 2.6.18 - April 15, 2016 (152 KB)
  4. 2.6.17 - February 06, 2016 (152 KB)
  5. 2.6.16 - November 25, 2015 (149 KB)
  6. 2.6.15 - August 21, 2015 (149 KB)
Show all versions (40 total)

Development Dependencies (5):

  • bundler ~> 1.10
  • minitest ~> 5.8
  • rake ~> 10.4
  • rake-compiler ~> 0.9
  • rspec ~> 3.3
  • Requirements:

    A decent graphics card

    java runtime >= 1.7+

    processing = 2.2.1

    Owners:

    Authors:

    • Jeremy Ashkenas, Peter Gassner Martin Stannard Andrew Nanton, Marc Chung, Peter Krenn, Florian Jenett, Andreas Haller, Juris, Galang Guillaume Pierronnet, Martin Prout

    SHA 256 checksum:

    93f34b2ea642642e770e0c2e5c8165e7988ad0d555edde1a589dc676e34914fd

    Total downloads 82,120

    For this version 1,734

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Links: